Bug 1477154 - Re-Review Request: meta-test-family - a tool to test components of a modular Fedora
Re-Review Request: meta-test-family - a tool to test components of a modular ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Tomecek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 07:04 EDT by Petr Hracek
Modified: 2017-11-01 14:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-01 14:32:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ttomecek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Hracek 2017-08-01 07:04:18 EDT
Spec URL: https://phracek.fedorapeople.org/meta-test-family.spec
SRPM URL: https://phracek.fedorapeople.org/meta-test-family-0.5.18-1.fc25.src.rpm
Description: Framework for writing tests for modules and containers
Fedora Account System Username: phracek

This is re-review request for older package name called modularity-testing-framework. https://admin.fedoraproject.org/pkgdb/package/rpms/modularity-testing-framework/
New package name will be meta-test-family
Comment 1 Petr Hracek 2017-08-01 07:09:49 EDT
I forgot to update Obsoletes and Provides.

Spec URL: https://phracek.fedorapeople.org/meta-test-family.spec
SRPM URL: https://phracek.fedorapeople.org/meta-test-family-0.5.18-2.fc25.src.rpm
Comment 2 Tomas Tomecek 2017-08-03 05:25:56 EDT
> %description
> %{summary}.

Can we get a real, verbose description?

> ExcludeArch:    ppc64

What's the point when the package is noarch?

> chmod a+x %{buildroot}%{python_sitelib}/%{framework_name}/{module_framework,mtf_generator,bashhelper,setup}.py

Executables do not belong to sitelib.


I am also thinking about whether it makes sense to have a 'python2-' subpackage which would contain all python source code and meta-test-family would just provide executables. Something like this: http://pkgs.fedoraproject.org/cgit/rpms/sen.git/tree/sen.spec
Comment 3 Petr Hracek 2017-08-04 07:13:51 EDT
Previous review request is here. https://bugzilla.redhat.com/show_bug.cgi?id=1437851
Comment 4 Petr Hracek 2017-08-04 07:30:07 EDT
(In reply to Tomas Tomecek from comment #2)
> > %description
> > %{summary}.
> 
> Can we get a real, verbose description?

Done.

+Tool to test components of a modular Fedora. Using MTF
+you can write tests for RPMs, modules and Docker containers
> 
> > ExcludeArch:    ppc64
> 
https://bugzilla.redhat.com/show_bug.cgi?id=1465176

This should fix the problem.
%ifarch x86_64 i686
Requires:       docker
%endif

> What's the point when the package is noarch?
> 
> > chmod a+x %{buildroot}%{python_sitelib}/%{framework_name}/{module_framework,mtf_generator,bashhelper,setup}.py
> 
> Executables do not belong to sitelib.
> 
Fixed.
> 
> I am also thinking about whether it makes sense to have a 'python2-'
> subpackage which would contain all python source code and meta-test-family
> would just provide executables. Something like this:
> http://pkgs.fedoraproject.org/cgit/rpms/sen.git/tree/sen.spec
Avocado is not yet available as python3 package. We are waiting till it is not supported in Python3. Tha't the reason.


Spec URL: https://phracek.fedorapeople.org/meta-test-family.spec
SRPM URL: https://phracek.fedorapeople.org/meta-test-family-0.5.19-2.fc25.src.rpm
Comment 5 Tomas Tomecek 2017-08-07 11:18:23 EDT
> Avocado is not yet available as python3 package. We are waiting till it is not supported in Python3. Tha't the reason.

That was not my point. My point was if you wanna have a package meta-test-family which will include only executables and will require python2-meta-test-family which will contain all python sources.

Review in-progress.
Comment 6 Tomas Tomecek 2017-08-07 11:28:35 EDT
Please fix the source tarball url and all rpmlint warnings and errors. review- in the meantime


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.rst is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "GPL (v2 or later)", "Unknown or
     generated", "*No copyright* GPL". 119 files have unknown license.
     Detailed output of licensecheck in /home/tt/t/mtf-review/1477154-meta-
     test-family/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/moduleframework/examples/base-runtime(modularity-testing-
     framework), /usr/share/moduleframework/examples/base-
     runtime/resources/os_release(modularity-testing-framework),
     /usr/share/moduleframework/examples/multios_testing(modularity-
     testing-framework), /usr/share/moduleframework/examples/testing-module
     (modularity-testing-framework),
     /usr/share/moduleframework/examples/memcached(modularity-testing-
     framework), /usr/share/moduleframework/examples/haproxy(modularity-
     testing-framework), /usr/share/moduleframework/examples(modularity-
     testing-framework), /usr/share/moduleframework/examples/nginx
     (modularity-testing-framework), /usr/share/moduleframework/tools
     (modularity-testing-framework), /usr/share/moduleframework/examples
     /testing-module/modulelint(modularity-testing-framework),
     /usr/share/moduleframework/examples/base-runtime/resources/hello-world
     (modularity-testing-framework), /usr/share/moduleframework/examples
     /testing-module/moduleframework(modularity-testing-framework),
     /usr/share/moduleframework/examples/base-
     runtime/resources/installed_packages(modularity-testing-framework),
     /usr/lib/python2.7/site-packages/moduleframework(modularity-testing-
     framework), /usr/share/moduleframework/examples/nginx/html_pages
     (modularity-testing-framework), /usr/share/moduleframework/examples
     /base-runtime/resources(modularity-testing-framework),
     /usr/share/moduleframework/examples/template(modularity-testing-
     framework), /usr/share/moduleframework/docs/api(modularity-testing-
     framework),
     /usr/share/moduleframework/examples/multios_testing/moduleframework
     (modularity-testing-framework),
     /usr/share/moduleframework/docs/user_guide(modularity-testing-
     framework), /usr/share/moduleframework/examples/memcached-behave
     (modularity-testing-framework), /usr/share/moduleframework(modularity-
     testing-framework), /usr/share/moduleframework/tools/modulelint
     (modularity-testing-framework), /usr/share/moduleframework/docs
     (modularity-testing-framework), /usr/share/moduleframework/examples
     /memcached-behave/steps(modularity-testing-framework)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0: https://codeload.github.com/fedora-
     modularity/meta-test-family/tar.gz/meta-test-family-0.5.19.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags

      $ curl -vO https://codeload.github.com/fedora-modularity/meta-test-family/tar.gz/meta-test-family-0.5.19.tar.gz
      { [5 bytes data]
      < HTTP/1.1 404 Not Found
      < Content-Length: 15

[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: meta-test-family-0.5.19-2.fc27.noarch.rpm
          meta-test-family-0.5.19-2.fc27.src.rpm
meta-test-family.noarch: W: no-documentation
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/avocado_testers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/avocado_testers/container_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/avocado_testers/nspawn_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/avocado_testers/rpm_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/bashhelper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/common.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/compose_info.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/dockerlinter.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/exceptions.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/helpers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/helpers/container_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/helpers/nspawn_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/helpers/rpm_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/module_framework.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/mtf_generator.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/pdc_data.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/setup.py 644 /usr/bin/python 
meta-test-family.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/moduleframework/timeoutlib.py /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/timeoutlib.py 644 /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/version.py 644 /usr/bin/python 
meta-test-family.noarch: W: devel-file-in-non-devel-package /usr/share/moduleframework/examples/base-runtime/resources/hello-world/hello.c
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/base-runtime/sanity1.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/base-runtime/sanity2.py 644 /usr/bin/python 
meta-test-family.noarch: E: wrong-script-interpreter /usr/share/moduleframework/examples/base-runtime/smoke.py /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/base-runtime/smoke.py 644 /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/haproxy/simpleTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached-behave/environment.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached-behave/steps/steps.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached/sanity1.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached/sanity2.sh 644 /bin/bash 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/avocado_testers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/avocado_testers/container_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/avocado_testers/nspawn_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/avocado_testers/rpm_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/common.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/compose_info.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/dockerlinter.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/exceptions.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/helpers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/helpers/container_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/helpers/nspawn_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/helpers/rpm_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/pdc_data.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/setup.py 644 /usr/bin/python 
meta-test-family.noarch: E: wrong-script-interpreter /usr/share/moduleframework/examples/multios_testing/moduleframework/timeoutlib.py /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/version.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/sanity1.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/sanityRealMultiHost.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/nginx/sanity1.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/template/sanity_template.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/PureAvocadoTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/copyTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/escapingTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/microdnfinside.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/avocado_testers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/avocado_testers/container_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/avocado_testers/nspawn_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/avocado_testers/rpm_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/common.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/compose_info.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/dockerlinter.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/exceptions.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/helpers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/helpers/container_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/helpers/nspawn_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/helpers/rpm_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/pdc_data.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/setup.py 644 /usr/bin/python 
meta-test-family.noarch: E: wrong-script-interpreter /usr/share/moduleframework/examples/testing-module/moduleframework/timeoutlib.py /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/version.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/modulelint/check_compose.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/modulelint/modulelint.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/modulelint/rpmvalidation.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/rpmvalidator.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/simpleTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/skipTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/find_latest_bits.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/modulelint.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/modulelint/check_compose.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/modulelint/modulelint.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/modulelint/rpmvalidation.py 644 /usr/bin/python 
meta-test-family.noarch: W: no-manual-page-for-binary moduleframework-cmd
meta-test-family.noarch: W: no-manual-page-for-binary modulelint
meta-test-family.noarch: W: no-manual-page-for-binary mtf-generator
meta-test-family.src: W: invalid-url Source0: https://codeload.github.com/fedora-modularity/meta-test-family/tar.gz/meta-test-family-0.5.19.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 80 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
meta-test-family.noarch: W: no-documentation
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/avocado_testers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/avocado_testers/container_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/avocado_testers/nspawn_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/avocado_testers/rpm_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/bashhelper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/common.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/compose_info.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/dockerlinter.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/exceptions.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/helpers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/helpers/container_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/helpers/nspawn_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/helpers/rpm_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/module_framework.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/mtf_generator.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/pdc_data.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/setup.py 644 /usr/bin/python 
meta-test-family.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/moduleframework/timeoutlib.py /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/timeoutlib.py 644 /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/version.py 644 /usr/bin/python 
meta-test-family.noarch: W: devel-file-in-non-devel-package /usr/share/moduleframework/examples/base-runtime/resources/hello-world/hello.c
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/base-runtime/sanity1.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/base-runtime/sanity2.py 644 /usr/bin/python 
meta-test-family.noarch: E: wrong-script-interpreter /usr/share/moduleframework/examples/base-runtime/smoke.py /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/base-runtime/smoke.py 644 /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/haproxy/simpleTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached-behave/environment.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached-behave/steps/steps.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached/sanity1.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached/sanity2.sh 644 /bin/bash 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/avocado_testers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/avocado_testers/container_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/avocado_testers/nspawn_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/avocado_testers/rpm_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/common.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/compose_info.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/dockerlinter.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/exceptions.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/helpers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/helpers/container_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/helpers/nspawn_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/helpers/rpm_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/pdc_data.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/setup.py 644 /usr/bin/python 
meta-test-family.noarch: E: wrong-script-interpreter /usr/share/moduleframework/examples/multios_testing/moduleframework/timeoutlib.py /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/version.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/sanity1.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/sanityRealMultiHost.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/nginx/sanity1.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/template/sanity_template.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/PureAvocadoTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/copyTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/escapingTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/microdnfinside.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/avocado_testers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/avocado_testers/container_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/avocado_testers/nspawn_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/avocado_testers/rpm_avocado_test.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/common.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/compose_info.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/dockerlinter.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/exceptions.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/helpers/__init__.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/helpers/container_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/helpers/nspawn_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/helpers/rpm_helper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/pdc_data.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/setup.py 644 /usr/bin/python 
meta-test-family.noarch: E: wrong-script-interpreter /usr/share/moduleframework/examples/testing-module/moduleframework/timeoutlib.py /usr/bin/env python
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/version.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/modulelint/check_compose.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/modulelint/modulelint.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/modulelint/rpmvalidation.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/rpmvalidator.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/simpleTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/skipTest.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/find_latest_bits.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/modulelint.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/modulelint/check_compose.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/modulelint/modulelint.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/tools/modulelint/rpmvalidation.py 644 /usr/bin/python 
meta-test-family.noarch: W: no-manual-page-for-binary moduleframework-cmd
meta-test-family.noarch: W: no-manual-page-for-binary modulelint
meta-test-family.noarch: W: no-manual-page-for-binary mtf-generator
1 packages and 0 specfiles checked; 80 errors, 5 warnings.



Requires
--------
meta-test-family (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/env
    /usr/bin/python
    /usr/bin/python2
    docker
    python(abi)
    python-netifaces
    python2-avocado
    python2-avocado-plugins-output-html
    python2-dockerfile-parse
    python2-modulemd
    python2-pdc-client



Provides
--------
meta-test-family:
    meta-test-family
    modularity-testing-framework
    python2.7dist(meta-test-family)
    python2dist(meta-test-family)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1477154
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Petr Hracek 2017-08-10 06:01:12 EDT
rpmlint Errors should be fixed by PR https://github.com/fedora-modularity/meta-test-family/pull/42
Comment 8 Petr Hracek 2017-08-10 07:32:58 EDT
New updates based on PR.

Spec URL: https://phracek.fedorapeople.org/meta-test-family.spec
SRPM URL: https://phracek.fedorapeople.org/meta-test-family-0.5.20-1.fc25.src.rpm

Installation errors
-------------------
INFO: mock.py version 1.4.2 starting (python version = 3.5.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.2
INFO: Mock Version: 1.4.2
Finish: chroot init
INFO: installing package(s): /home/phracek/work/programming/meta-test-family/review-meta-test-family/results/meta-test-family-0.5.20-1.fc25.noarch.rpm /home/phracek/work/programming/meta-test-family/review-meta-test-family/results/python2-meta-test-family-0.5.20-1.fc25.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-25-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=False install /home/phracek/work/programming/meta-test-family/review-meta-test-family/results/meta-test-family-0.5.20-1.fc25.noarch.rpm /home/phracek/work/programming/meta-test-family/review-meta-test-family/results/python2-meta-test-family-0.5.20-1.fc25.noarch.rpm



Rpmlint
-------
Checking: meta-test-family-0.5.20-1.fc25.noarch.rpm
          python2-meta-test-family-0.5.20-1.fc25.noarch.rpm
          meta-test-family-0.5.20-1.fc25.src.rpm
meta-test-family.noarch: W: no-documentation
meta-test-family.noarch: W: devel-file-in-non-devel-package /usr/share/moduleframework/examples/base-runtime/resources/hello-world/hello.c
meta-test-family.noarch: E: script-without-shebang /usr/share/moduleframework/examples/multios_testing/moduleframework/module_framework.py
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached/sanity2.sh 644 /bin/bash 
meta-test-family.noarch: W: no-manual-page-for-binary mtf-generator
meta-test-family.noarch: W: no-manual-page-for-binary moduleframework-cmd
meta-test-family.noarch: W: no-manual-page-for-binary modulelint
python2-meta-test-family.noarch: W: no-documentation
python2-meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/timeoutlib.py 644 /usr/bin/python 
python2-meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/bashhelper.py 644 /usr/bin/python 
python2-meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/mtf_generator.py 644 /usr/bin/python 
meta-test-family.src: W: invalid-url Source0: https://codeload.github.com/fedora-modularity/meta-test-family/tar.gz/meta-test-family-0.5.20.tar.gz HTTP Error 404: Not Found

3 packages and 0 specfiles checked; 5 errors, 7 warnings.


As soon as PR will be merged, I will create release.

mtf_generator.py is false possitive. It contains /usr/bin/python.
bashhelper.py will be probably deleted.
Comment 9 Tomas Tomecek 2017-08-10 09:08:20 EDT
I'll do another review round once the release is done.
Comment 10 Petr Hracek 2017-10-04 07:50:16 EDT
I did several fixes and here are updates based on the latest version:

Spec URL: https://phracek.fedorapeople.org/meta-test-family.spec
SRPM URL: https://phracek.fedorapeople.org/meta-test-family-0.7.4-2.fc26.src.rpm

rpmlint output:
$ rpmlint -v meta-test-family-0.7.4-2.fc26.src.rpm 
meta-test-family.src: I: checking
meta-test-family.src: I: checking-url https://github.com/fedora-modularity/meta-test-family (timeout 10 seconds)
meta-test-family.src: I: checking-url https://github.com/fedora-modularity/meta-test-family/archive/0.7.4.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$


My fedora-review test:
Rpmlint
-------
Checking: meta-test-family-0.7.4-2.fc25.noarch.rpm
          meta-test-family-0.7.4-2.fc25.src.rpm
meta-test-family.noarch: W: no-documentation
meta-test-family.noarch: W: no-manual-page-for-binary mtf
meta-test-family.noarch: W: no-manual-page-for-binary mtf-cmd
meta-test-family.noarch: W: no-manual-page-for-binary mtf-env-clean
meta-test-family.noarch: W: no-manual-page-for-binary mtf-env-set
meta-test-family.noarch: W: no-manual-page-for-binary mtf-generator
meta-test-family.noarch: W: no-manual-page-for-binary mtf-log-parser
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
meta-test-family.noarch: W: invalid-url URL: https://github.com/fedora-modularity/meta-test-family <urlopen error [Errno -2] Name or service not known>
meta-test-family.noarch: W: no-documentation
meta-test-family.noarch: W: no-manual-page-for-binary mtf-cmd
meta-test-family.noarch: W: no-manual-page-for-binary mtf-env-set
meta-test-family.noarch: W: no-manual-page-for-binary mtf-log-parser
meta-test-family.noarch: W: no-manual-page-for-binary mtf-env-clean
meta-test-family.noarch: W: no-manual-page-for-binary mtf-generator
meta-test-family.noarch: W: no-manual-page-for-binary mtf
1 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
meta-test-family (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python
    /usr/bin/python2
    docker
    python(abi)
    python-netifaces
    python2-avocado
    python2-avocado-plugins-output-html
    python2-dockerfile-parse
    python2-modulemd
    python2-pdc-client
Comment 11 Tomas Tomecek 2017-10-04 09:04:56 EDT
Checking.
Comment 12 Tomas Tomecek 2017-10-04 09:24:31 EDT
I have opened two upstream issues for the rpmlint warnings and errors:

https://github.com/fedora-modularity/meta-test-family/issues/124
https://github.com/fedora-modularity/meta-test-family/issues/123

Those are not blocking this review, but please fix the one with executables before building it in Fedora. Having manpages in a future release would be good too.

Also please add at least README to the package, since there is literally no documentation provided right now.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Check did not completechecksum differs and there are problems
  running diff. Please verify manually.
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.rst is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "GPL (v2 or later)", "Unknown or
     generated", "*No copyright* GPL". 71 files have unknown license.
     Detailed output of licensecheck in /home/tt/t/mtf-review/1477154-meta-
     test-family/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: meta-test-family-0.7.4-2.fc28.noarch.rpm
          meta-test-family-0.7.4-2.fc28.src.rpm
meta-test-family.noarch: W: no-documentation
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/bashhelper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/mtf_log_parser.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/bashhelper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/mtf_log_parser.py 644 /usr/bin/python 
meta-test-family.noarch: W: no-manual-page-for-binary mtf
meta-test-family.noarch: W: no-manual-page-for-binary mtf-cmd
meta-test-family.noarch: W: no-manual-page-for-binary mtf-env-clean
meta-test-family.noarch: W: no-manual-page-for-binary mtf-env-set
meta-test-family.noarch: W: no-manual-page-for-binary mtf-generator
meta-test-family.noarch: W: no-manual-page-for-binary mtf-log-parser
meta-test-family.src: W: invalid-url Source0: https://codeload.github.com/fedora-modularity/meta-test-family/tar.gz/meta-test-family-0.7.4.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 4 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
meta-test-family.noarch: W: invalid-url URL: https://github.com/fedora-modularity/meta-test-family <urlopen error [Errno -2] Name or service not known>
meta-test-family.noarch: W: no-documentation
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/bashhelper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/mtf_log_parser.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/bashhelper.py 644 /usr/bin/python 
meta-test-family.noarch: E: non-executable-script /usr/share/moduleframework/examples/multios_testing/moduleframework/mtf_log_parser.py 644 /usr/bin/python 
meta-test-family.noarch: W: no-manual-page-for-binary mtf
meta-test-family.noarch: W: no-manual-page-for-binary mtf-cmd
meta-test-family.noarch: W: no-manual-page-for-binary mtf-env-clean
meta-test-family.noarch: W: no-manual-page-for-binary mtf-env-set
meta-test-family.noarch: W: no-manual-page-for-binary mtf-generator
meta-test-family.noarch: W: no-manual-page-for-binary mtf-log-parser
1 packages and 0 specfiles checked; 4 errors, 8 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/tt/t/mtf-review/1477154-meta-test-family/srpm/meta-test-family.spec	2017-10-04 15:03:58.930330934 +0200
+++ /home/tt/t/mtf-review/1477154-meta-test-family/srpm-unpacked/meta-test-family.spec	2017-10-04 13:23:14.000000000 +0200
@@ -8,5 +8,5 @@
 License:        GPLv2+
 URL:            https://github.com/fedora-modularity/meta-test-family
-Source0:        https://github.com/fedora-modularity/%{name}/archive/%{version}.tar.gz
+Source0:        https://codeload.github.com/fedora-modularity/%{name}/tar.gz/%{name}-%{version}.tar.gz
 BuildArch:      noarch
 # Exlcude ppc64: there is no docker package on ppc64


Requires
--------
meta-test-family (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python
    /usr/bin/python2
    docker
    python(abi)
    python-netifaces
    python2-avocado
    python2-avocado-plugins-output-html
    python2-dockerfile-parse
    python2-modulemd
    python2-pdc-client



Provides
--------
meta-test-family:
    meta-test-family
    modularity-testing-framework
    python2.7dist(meta-test-family)
    python2dist(meta-test-family)



Source checksums
----------------
https://github.com/fedora-modularity/meta-test-family/archive/0.7.4.tar.gz :
  CHECKSUM(SHA256) this package     : ERROR
  CHECKSUM(SHA256) upstream package : 36d0ea01c7a785d3a976a7cebf6d77a774756ed0d2fbd28226d104d7d543c578


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1477154
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 13 Gwyn Ciesla 2017-10-05 08:35:30 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/meta-test-family
Comment 14 Fedora Update System 2017-10-05 10:28:12 EDT
meta-test-family-0.7.4-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64694d69b9
Comment 15 Fedora Update System 2017-10-05 10:38:20 EDT
meta-test-family-0.7.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d080215888
Comment 17 Fedora Update System 2017-10-05 23:27:11 EDT
meta-test-family-0.7.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d080215888
Comment 18 Fedora Update System 2017-10-06 00:29:52 EDT
meta-test-family-0.7.4-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64694d69b9
Comment 19 Fedora Update System 2017-10-09 08:52:04 EDT
meta-test-family-0.7.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-db25621596
Comment 20 Fedora Update System 2017-10-09 16:00:15 EDT
meta-test-family-0.7.4-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2017-10-09 16:19:34 EDT
meta-test-family-0.7.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-db25621596
Comment 22 Fedora Update System 2017-10-17 08:00:51 EDT
meta-test-family-0.7.4-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7421f7d69d
Comment 23 Fedora Update System 2017-10-17 15:20:02 EDT
meta-test-family-0.7.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2017-10-17 22:17:18 EDT
meta-test-family-0.7.4-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7421f7d69d
Comment 25 Fedora Update System 2017-11-01 14:32:31 EDT
meta-test-family-0.7.4-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.